Index: publican.spec.in
===================================================================
--- publican.spec.in	(リビジョン 707)
+++ publican.spec.in	(作業コピー)
@@ -8,7 +8,7 @@
 Name:		publican	
 Summary:	Common files and scripts for publishing with DocBook XML
 Version:	0.45
-Release:	0%{?dist}
+Release:	0.2+naming%{?dist}
 License:	GPLv2+ and GFDL
 # The following directories are licensed under the GFDL:
 #	content, Book_Template, Set_Template, Article_Template
Index: xsl/dt_xml_spec.xsl
===================================================================
--- xsl/dt_xml_spec.xsl	(リビジョン 707)
+++ xsl/dt_xml_spec.xsl	(作業コピー)
@@ -11,14 +11,17 @@
 <!-- Note: do not indent this file!  Any whitespace here
      will be reproduced in the output -->
 <xsl:template match="/"># Red Hat Documentation Specfile
-Name:           <xsl:value-of select="$book-title"/>-<xsl:value-of select="$book-lang"/>
+
+%define archivename <xsl:value-of select="$archivename"/>
+
+Name:           <xsl:value-of select="$rpmname"/>
 Version:        <xsl:value-of select="$rpmver"/>
 Release:        <xsl:value-of select="$rpmrel"/>
 Summary:        <xsl:value-of select="/bookinfo/subtitle"/><xsl:value-of select="/setinfo/subtitle"/><xsl:value-of select="/articleinfo/subtitle"/>
 Group:          Documentation
 License:        OPL + Restrictions
 URL:            http://www.redhat.com/docs
-Source0:         %{name}-%{version}.tgz
+Source0:        %{archivename}.tgz
 BuildArch:      noarch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 Requires: yelp
@@ -27,7 +30,7 @@
 <xsl:value-of select="/bookinfo/abstract/para" /><xsl:value-of select="/setinfo/abstract/para" /><xsl:value-of select="/articleinfo/abstract/para" />
 
 %prep
-%setup -q
+%setup -q -n %{archivename}
 
 %build
 
Index: xsl/web-spec.xsl
===================================================================
--- xsl/web-spec.xsl	(リビジョン 707)
+++ xsl/web-spec.xsl	(作業コピー)
@@ -20,22 +20,21 @@
 %define vendoropt  --vendor='redhat'
 %endif
 
-Name:		<xsl:value-of select="$book-title"/>-web-<xsl:value-of select="$lang"/>
+%define archivename <xsl:value-of select="$archivename"/>
+
+Name:		<xsl:value-of select="$rpmname"/>
 Version:	<xsl:value-of select="$rpmver"/>
 Release:	<xsl:value-of select="$rpmrel"/>%{?dist}
 Summary:	<xsl:value-of select="/bookinfo/subtitle"/><xsl:value-of select="/setinfo/subtitle"/><xsl:value-of select="/articleinfo/subtitle"/>
 Group:		Documentation
 License:	<xsl:value-of select="$license"/>
 URL:		<xsl:value-of select="$url"/>
-Source:		<xsl:value-of select="$src_url"/>%{name}-%{version}-<xsl:value-of select="$rpmrel"/>.tgz
+Source:		<xsl:value-of select="$src_url"/>%{archivename}.tgz
 BuildArch:	noarch
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:	publican
 BuildRequires:	desktop-file-utils
-Requires:	perl-Publican-WebSite
 <xsl:if test="$brand != 'publican-common'">BuildRequires:	<xsl:value-of select="$brand"/></xsl:if>
-<xsl:if test="$web_obsoletes != ''">Obsoletes:	<xsl:value-of select="$web_obsoletes"/></xsl:if>
-Prefix:		/var/www/html/docs
 
 %description
 <xsl:value-of select="/bookinfo/abstract/para" /><xsl:value-of select="/setinfo/abstract/para" /><xsl:value-of select="/articleinfo/abstract/para" />
@@ -53,8 +52,18 @@
 %description  -n <xsl:value-of select="$book-title"/>-<xsl:value-of select="$lang"/>
 <xsl:value-of select="/bookinfo/abstract/para" /><xsl:value-of select="/setinfo/abstract/para" /><xsl:value-of select="/articleinfo/abstract/para" />
 
+%package -n <xsl:value-of select="$book-title"/>-web-<xsl:value-of select="$lang"/>
+Summary:	<xsl:value-of select="/bookinfo/subtitle"/><xsl:value-of select="/setinfo/subtitle"/><xsl:value-of select="/articleinfo/subtitle"/>
+Group:		Documentation
+Requires:	perl-Publican-WebSite
+<xsl:if test="$web_obsoletes != ''">Obsoletes:	<xsl:value-of select="$web_obsoletes"/></xsl:if>
+Prefix:		/var/www/html/docs
+
+%description -n <xsl:value-of select="$book-title"/>-web-<xsl:value-of select="$lang"/>
+<xsl:value-of select="/bookinfo/abstract/para" /><xsl:value-of select="/setinfo/abstract/para" /><xsl:value-of select="/articleinfo/abstract/para" />
+
 %prep
-%setup -q
+%setup -q -n %{archivename}
 
 %build
 export CLASSPATH=$CLASSPATH:%{_javadir}/ant/ant-trax-1.7.0.jar:%{_javadir}/xmlgraphics-commons.jar:%{_javadir}/batik-all.jar:%{_javadir}/xml-commons-apis.jar:%{_javadir}/xml-commons-apis-ext.jar
@@ -91,7 +100,7 @@
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n <xsl:value-of select="$book-title"/>-web-<xsl:value-of select="$lang"/>
 %defattr(-,root,root,-)
 %{prefix}/<xsl:value-of select="$lang"/>
 
Index: xsl/dt_htmlsingle_spec.xsl
===================================================================
--- xsl/dt_htmlsingle_spec.xsl	(リビジョン 707)
+++ xsl/dt_htmlsingle_spec.xsl	(作業コピー)
@@ -21,14 +21,16 @@
 %define vendoropt --vendor="redhat"
 %endif
 
-Name:	<xsl:value-of select="$book-title"/>-<xsl:value-of select="$book-lang"/>
+%define archivename <xsl:value-of select="$archivename"/>
+
+Name:		<xsl:value-of select="$rpmname"/>
 Version:	<xsl:value-of select="$rpmver"/>
 Release:	<xsl:value-of select="$rpmrel"/>%{?dist}
 Summary:	<xsl:value-of select="/bookinfo/subtitle"/><xsl:value-of select="/setinfo/subtitle"/><xsl:value-of select="/articleinfo/subtitle"/>
 Group:		Documentation
 License:	<xsl:value-of select="$license"/>
 URL:		<xsl:value-of select="$url"/>
-Source:		<xsl:value-of select="$src_url"/>%{name}-%{version}.tgz
+Source:		<xsl:value-of select="$src_url"/>%{archivename}.tgz
 BuildArch:	noarch
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:	publican
@@ -45,7 +47,7 @@
 <xsl:value-of select="/bookinfo/abstract/para" /><xsl:value-of select="/setinfo/abstract/para" /><xsl:value-of select="/articleinfo/abstract/para" />
 
 %prep
-%setup -q
+%setup -q -n %{archivename}
 
 %build
 %{__make} html-desktop-<xsl:value-of select="$book-lang"/>
Index: make/Makefile.common
===================================================================
--- make/Makefile.common	(リビジョン 707)
+++ make/Makefile.common	(作業コピー)
@@ -30,6 +30,7 @@
 DOCNAME		= $(shell grep -m1 '<title' $(XML_LANG)/$(DOC_TYPE)_Info.xml  | sed -e 's/<[/]*title>//g' | sed -e 's/^\s*//'  | sed -e 's/\s/_/g')
 PRODUCT		= $(shell grep -m1 '<productname' $(XML_LANG)/$(DOC_TYPE)_Info.xml  | sed -e 's/<[/]*productname>//g' | sed -e 's/^\s*//'  | sed -e 's/\s/_/g')
 PROD_VERSION	= $(shell awk '/<productnumber>(.*)<\/productnumber>/ { print $$1 }' $(XML_LANG)/$(DOC_TYPE)_Info.xml | sed -e 's/<[/]*productnumber>//g')
+RPM_NAME	= $(PRODUCT)-$(DOCNAME)
 RPM_VERSION	= $(shell awk '/<edition>(.*)<\/edition>/ { print $$1 }' $(XML_LANG)/$(DOC_TYPE)_Info.xml | sed -e 's/<[/]*edition>//g')
 RPM_RELEASE	= $(shell awk '/<pubsnumber>(.*)<\/pubsnumber>/ { print $$1 }' $(XML_LANG)/$(DOC_TYPE)_Info.xml | sed -e 's/<[/]*pubsnumber>//g')
 XSLTPROC	= xsltproc
@@ -98,7 +99,7 @@
 SUB_SPEC_XSL	= $(COMMON_CONFIG)/xsl/sub_package_htmlsingle.xsl
 endif
 
-TAR_NAME	= $(PRODUCT)-$(DOCNAME)-$(PROD_VERSION)
+PKG_NAME	= $(PRODUCT)-$(DOCNAME)-$(PROD_VERSION)
 
 
 include $(COMMON_CONFIG)/make/Makefile.templates
@@ -547,10 +548,14 @@
 	@echo
 	@echo "OTHER_LANGS_C: Comma seperated list of non-source languages."
 	@echo
+	@echo "PKG_NAME: Shortcut for the PACKAGE name."
+	@echo
 	@echo "PWD: present working directory."
 	@echo
 	@echo "PROD_VERSION: Version of the PRODUCT, retrieved from productnumber tag in Info file. Currently: $(PROD_VERSION)"
 	@echo
+	@echo "RPM_NAME: RPM package base name. Currently: $(RPM_NAME)"
+	@echo
 	@echo "RPM_VERSION: Edition number of this book, fetched from edition in Info file. Currently: $(RPM_VERSION)"
 	@echo
 	@echo "RPM_RELEASE: release number of this book, fetched from pubsnumber in Info file. Currently: $(RPM_RELEASE)"
@@ -561,8 +566,6 @@
 	@echo
 	@echo "SUB_SPEC_XSL: Was used to set which xsl file to use to generate sub packages for translations. Kept arond just in case!"
 	@echo
-	@echo "TAR_NAME: Shortcut for the TAR name."
-	@echo
 	@echo "TRANSLATIONS: List of all langages, XML_LANG + OTHER_LANGS. No longer override-able."
 	@echo
 	@echo "XMLCLEAN: Program to use for pre-processing xml. Currently: $(XMLCLEAN)."
Index: make/Makefile.templates
===================================================================
--- make/Makefile.templates	(リビジョン 707)
+++ make/Makefile.templates	(作業コピー)
@@ -338,7 +338,7 @@
 				chunk.section.depth="$(CHUNK_SECTION_DEPTH)" confidential=${CONFIDENTIAL} profile.lang="$$(GENLANG)" \
 				l10n.gentext.language="$$(GENLANG)" show.comments=$(SHOW_REMARKS) embedtoc=$$(EMBEDTOC) \
 				chunk.first.sections="$(CHUNK_FIRST)" generate.section.toc.level=$(GENERATE_SECTION_TOC_LEVEL) \
-				tablecolumns.extension=1 package=$(TAR_NAME)-${2}-$(RPM_VERSION)-$(${2}_RPM_RELEASE) highlight.source=$(XSLTHL); \
+				tablecolumns.extension=1 package=$(PKG_NAME)-${2}-$(RPM_VERSION)-$(${2}_RPM_RELEASE) highlight.source=$(XSLTHL); \
 			rm tmppoofu.html; \
 		else \
 			echo "Running xsltproc on $$$$xsl_file"; \
@@ -346,7 +346,7 @@
 				--stringparam chunk.section.depth "$(CHUNK_SECTION_DEPTH)" --stringparam confidential "${CONFIDENTIAL}" --stringparam profile.lang "$$(GENLANG)" \
 				--stringparam l10n.gentext.language "$$(GENLANG)" --stringparam show.comments $(SHOW_REMARKS) --stringparam embedtoc $$(EMBEDTOC) \
 				--stringparam chunk.first.sections "$(CHUNK_FIRST)" --stringparam generate.section.toc.level $(GENERATE_SECTION_TOC_LEVEL) \
-				--stringparam package "$(TAR_NAME)-${2}-$(RPM_VERSION)-$(${2}_RPM_RELEASE)" --xinclude $$$$xsl_file ../xml/$(DOCNAME).xml; \
+				--stringparam package "$(PKG_NAME)-${2}-$(RPM_VERSION)-$(${2}_RPM_RELEASE)" --xinclude $$$$xsl_file ../xml/$(DOCNAME).xml; \
 		fi;
 # copy files
 	@if [ -d $(XML_LANG)/files ]; then cp -rf $(XML_LANG)/files tmp/${2}/${1}/.; fi
@@ -495,23 +495,25 @@
 # Desktop RPMS
 ###############################################################################
 
+TAR_DIR = $(PKG_NAME)-$(RPM_VERSION)
+
 define	TARDIR_Template
 .PHONY:	tardir-${1}
 tardir-${1}:: xml-${1} test-${1}
 	@echo "START: tardir-${1} `date`"
-	@mkdir -p tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)
-	@cp -rf tmp/${1}/xml tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/${1}
-	@if [ -d $(XML_LANG)/files ]; then cp -rf $(XML_LANG)/files tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/${1}/.; fi
-	@if [ -d ${1}/files ]; then cp -rf ${1}/files tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/${1}/.; fi
-	@rm -rf tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/${1}/Common_Content
-	@cp Makefile tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/.
-	@sed -i -e 's/^XML_LANG.*$$$$/XML_LANG = ${1}/' tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/Makefile
-	@sed -i -e 's/^IGNORED_TRANSLATIONS.*$$$$//' tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/Makefile
-	@sed -i -e 's/^XML_LANG/T_DOCNAME = $(DOCNAME)\nXML_LANG/' tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/Makefile
-	@sed -i -e 's/^XML_LANG/T_PRODUCT = $(PRODUCT)\nXML_LANG/' tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/Makefile
-	@sed -i -e 's/^XML_LANG/T_PROD_VERSION = $(PROD_VERSION)\nXML_LANG/' tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/Makefile
-	@sed -i -e 's/^XML_LANG/T_RPM_RELEASE = $(RPM_RELEASE)\nXML_LANG/' tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/Makefile
-	@sed -i -e 's/^XML_LANG/${1}_RPM_RELEASE = $(${1}_RPM_RELEASE)\nXML_LANG/' tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION)/Makefile
+	@mkdir -p tmp/tar/$(TAR_DIR)-${1}
+	@cp -rf tmp/${1}/xml tmp/tar/$(TAR_DIR)-${1}/${1}
+	@if [ -d $(XML_LANG)/files ]; then cp -rf $(XML_LANG)/files tmp/tar/$(TAR_DIR)-${1}/${1}/.; fi
+	@if [ -d ${1}/files ]; then cp -rf ${1}/files tmp/tar/$(TAR_DIR)-${1}/${1}/.; fi
+	@rm -rf tmp/tar/$(TAR_DIR)-${1}/${1}/Common_Content
+	@cp Makefile tmp/tar/$(TAR_DIR)-${1}/.
+	@sed -i -e 's/^XML_LANG.*$$$$/XML_LANG = ${1}/' tmp/tar/$(TAR_DIR)-${1}/Makefile
+	@sed -i -e 's/^IGNORED_TRANSLATIONS.*$$$$//' tmp/tar/$(TAR_DIR)-${1}/Makefile
+	@sed -i -e 's/^XML_LANG/T_DOCNAME = $(DOCNAME)\nXML_LANG/' tmp/tar/$(TAR_DIR)-${1}/Makefile
+	@sed -i -e 's/^XML_LANG/T_PRODUCT = $(PRODUCT)\nXML_LANG/' tmp/tar/$(TAR_DIR)-${1}/Makefile
+	@sed -i -e 's/^XML_LANG/T_PROD_VERSION = $(PROD_VERSION)\nXML_LANG/' tmp/tar/$(TAR_DIR)-${1}/Makefile
+	@sed -i -e 's/^XML_LANG/T_RPM_RELEASE = $(RPM_RELEASE)\nXML_LANG/' tmp/tar/$(TAR_DIR)-${1}/Makefile
+	@sed -i -e 's/^XML_LANG/${1}_RPM_RELEASE = $(${1}_RPM_RELEASE)\nXML_LANG/' tmp/tar/$(TAR_DIR)-${1}/Makefile
 	@echo "END: tardir-${1} `date`"
 endef
 
@@ -519,8 +521,8 @@
 .PHONY:	tar-${1}
 tar-${1}:: tardir-${1}
 	@echo "START: tar-${1} `date`"
-	@cd tmp/tar && tar --create --gzip --exclude-from=$(COMMON_CONFIG)/make/tar-excludes --file $(TAR_NAME)-${1}-$(RPM_VERSION).tgz $(TAR_NAME)-${1}-$(RPM_VERSION)
-	@echo "The archive is in tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION).tgz"
+	@cd tmp/tar && tar --create --gzip --exclude-from=$(COMMON_CONFIG)/make/tar-excludes --file $(TAR_DIR)-${1}.tgz $(TAR_DIR)-${1}
+	@echo "The archive is in tmp/tar/$(TAR_DIR)-${1}.tgz"
 	@echo "END: tar-${1} `date`"
 endef
 
@@ -538,9 +540,11 @@
 			exit 5; \
 		fi; \
 		$(CATALOGS) $(XSLTPROC) $(COMMON_CONFIG)/xsl/changelog.xsl tmp/${1}/xml/$$$$rev_file > tmp/changelog.txt
-	$(CATALOGS) $(XSLTPROC) --path "$(PWD)" --stringparam book-title "$(TAR_NAME)" \
+	$(CATALOGS) $(XSLTPROC) --path "$(PWD)" --stringparam book-title "$(PKG_NAME)" \
 		--stringparam main-file "$(DOCNAME).xml" \
 		--stringparam book-lang "${1}" \
+		--stringparam archivename "$(TAR_DIR)-${1}" \
+		--stringparam rpmname "$(RPM_NAME)-${1}" \
 		--stringparam rpmver "$(RPM_VERSION)" \
 		--stringparam rpmrel "$(${1}_RPM_RELEASE)" \
 		--stringparam license "$(LICENSE)" \
@@ -548,7 +552,7 @@
 		--stringparam src_url "$(SRC_URL)" \
 		--stringparam brand "publican-$(LC_BRAND)" \
 		--stringparam log "$$$$(<tmp/changelog.txt)" \
-		-o tmp/rpm/SPECS/$(TAR_NAME)-${1}.spec \
+		-o tmp/rpm/SPECS/$(RPM_NAME)-${1}.spec \
 		$(SPEC_XSL) tmp/${1}/xml/$(DOC_TYPE)_Info.xml
 	@echo "END: spec-${1} `date`"
 endef
@@ -557,8 +561,8 @@
 .PHONY:	srpm-${1}
 srpm-${1}:: clean spec-${1}
 	@echo "START: srpm-${1} `date`"
-	@cp tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION).tgz tmp/rpm/SOURCES/.
-	@rpmbuild --define "_topdir $(PWD)/tmp/rpm" --define "dist .$(OS_VER)" -bs tmp/rpm/SPECS/$(TAR_NAME)-${1}.spec
+	@cp tmp/tar/$(TAR_DIR)-${1}.tgz tmp/rpm/SOURCES/.
+	@rpmbuild --define "_topdir $(PWD)/tmp/rpm" --define "dist .$(OS_VER)" -bs tmp/rpm/SPECS/$(RPM_NAME)-${1}.spec
 	@echo "END: srpm-${1} `date`"
 endef
 
@@ -566,7 +570,7 @@
 .PHONY:	brew-${1}
 brew-${1}:: srpm-${1}
 	@echo "START: brew-${1} `date`"
-	@brew build --nowait $(BREW_DIST) tmp/rpm/SRPMS/$(TAR_NAME)-${1}-$(RPM_VERSION)-$(${1}_RPM_RELEASE).$(OS_VER).src.rpm
+	@brew build --nowait $(BREW_DIST) tmp/rpm/SRPMS/$(RPM_NAME)-${1}-$(RPM_VERSION)-$(${1}_RPM_RELEASE).$(OS_VER).src.rpm
 	@echo "END: brew-${1} `date`"
 endef
 
@@ -574,7 +578,7 @@
 .PHONY:	brew-scratch-${1}
 brew-scratch-${1}:: srpm-${1}
 	@echo "START: brew-scratch-${1} `date`"
-	@brew build --scratch $(BREW_DIST) tmp/rpm/SRPMS/$(TAR_NAME)-${1}-$(RPM_VERSION)-$(${1}_RPM_RELEASE).$(OS_VER).src.rpm
+	@brew build --scratch $(BREW_DIST) tmp/rpm/SRPMS/$(RPM_NAME)-${1}-$(RPM_VERSION)-$(${1}_RPM_RELEASE).$(OS_VER).src.rpm
 	@echo "END: brew-scratch-${1} `date`"
 endef
 
@@ -598,12 +602,10 @@
 
 define	WEB_SRPM_Template
 .PHONY:	web-srpm-${1}
-web-srpm-${1}:: clean tardir-${1}
+web-srpm-${1}:: clean tar-${1}
 	@echo "START: web-srpm-${1}: `date`"
-	@mv tmp/tar/$(TAR_NAME)-${1}-$(RPM_VERSION) tmp/tar/$(TAR_NAME)-web-${1}-$(RPM_VERSION)
-	@cd tmp/tar && tar --create --gzip --exclude-from=$(COMMON_CONFIG)/make/tar-excludes --file $(TAR_NAME)-web-${1}-$(RPM_VERSION)-$(${1}_RPM_RELEASE).tgz $(TAR_NAME)-web-${1}-$(RPM_VERSION)
 	@mkdir -p tmp/rpm/SPECS tmp/rpm/SOURCES tmp/rpm/SRPMS
-	@cp tmp/tar/$(TAR_NAME)-web-${1}-$(RPM_VERSION)-$(${1}_RPM_RELEASE).tgz tmp/rpm/SOURCES/.
+	@cp tmp/tar/$(TAR_DIR)-${1}.tgz tmp/rpm/SOURCES/.
 	@rev_file=`grep -l '<revhistory' $(XML_LANG)/*| head -n 1 | sed -e 's/$(XML_LANG)\///g'`; \
 		if [ ! -f "$(XML_LANG)/$$$$rev_file" ]; then \
 			echo; \
@@ -612,10 +614,12 @@
 			exit 5; \
 		fi; \
 		$(CATALOGS) $(XSLTPROC) $(COMMON_CONFIG)/xsl/changelog.xsl tmp/${1}/xml/$$$$rev_file > tmp/changelog.txt
-	@$(CATALOGS) $(XSLTPROC)  --path "$(PWD)" --stringparam book-title "$(TAR_NAME)" \
+	@$(CATALOGS) $(XSLTPROC)  --path "$(PWD)" --stringparam book-title "$(PKG_NAME)" \
 		--stringparam lang "${1}" \
 		--stringparam prod "$(PRODUCT)" \
 		--stringparam prodver "$(PROD_VERSION)" \
+		--stringparam archivename "$(TAR_DIR)-${1}" \
+		--stringparam rpmname "$(RPM_NAME)-${1}" \
 		--stringparam rpmver "$(RPM_VERSION)" \
 		--stringparam rpmrel "$(${1}_RPM_RELEASE)" \
 		--stringparam docname "$(DOCNAME)" \
@@ -626,9 +630,9 @@
 		--stringparam log "$$$$(<tmp/changelog.txt)" \
 		--stringparam dt_obsoletes "$(DT_OBSOLETES)" \
 		--stringparam web_obsoletes "$(WEB_OBSOLETES)" \
-		-o tmp/rpm/SPECS/$(PRODUCT)-$(DOCNAME)-$(PROD_VERSION)-web-${1}.spec \
+		-o tmp/rpm/SPECS/$(RPM_NAME)-${1}.spec \
 		$(COMMON_CONFIG)/xsl/web-spec.xsl tmp/${1}/xml/$(DOC_TYPE)_Info.xml
-	rpmbuild --define "_topdir $(PWD)/tmp/rpm" --define "dist .$(OS_VER)" -bs tmp/rpm/SPECS/$(TAR_NAME)-web-${1}.spec
+	rpmbuild --define "_topdir $(PWD)/tmp/rpm" --define "dist .$(OS_VER)" -bs tmp/rpm/SPECS/$(RPM_NAME)-${1}.spec
 	@echo "END: web-srpm-${1}: `date`"
 endef
 
@@ -642,7 +646,7 @@
 .PHONY:	web-brew-${1}
 web-brew-${1}:: web-srpm-${1}
 	@echo "START: web-brew-${1} `date`"
-	@brew build --nowait $(WEB_BREW_DIST) tmp/rpm/SRPMS/$(TAR_NAME)-web-${1}-$(RPM_VERSION)-$(${1}_RPM_RELEASE).$(OS_VER).src.rpm
+	@brew build --nowait $(WEB_BREW_DIST) tmp/rpm/SRPMS/$(RPM_NAME)-${1}-$(RPM_VERSION)-$(${1}_RPM_RELEASE).$(OS_VER).src.rpm
 	@echo "END: brew-${1} `date`"
 endef
 
@@ -650,7 +654,7 @@
 .PHONY:	web-brew-scratch-${1}
 web-brew-scratch-${1}:: web-srpm-${1}
 	@echo "START: web-brew-scratch-${1} `date`"
-	@brew build --scratch $(WEB_BREW_DIST) tmp/rpm/SRPMS/$(TAR_NAME)-web-${1}-$(RPM_VERSION)-$(${1}_RPM_RELEASE).$(OS_VER).src.rpm
+	@brew build --scratch $(WEB_BREW_DIST) tmp/rpm/SRPMS/$(RPM_NAME)-${1}-$(RPM_VERSION)-$(${1}_RPM_RELEASE).$(OS_VER).src.rpm
 	@echo "END: brew-scratch-${1} `date`"
 endef
 
@@ -659,7 +663,7 @@
 .PHONY:	web-brew-report-${1}
 web-brew-report-${1}::
 	@echo "START: web-brew-report-${1} `date`"
-	@brew latest-pkg $(WEB_BREW_DIST) $(TAR_NAME)-web-${1}
+	@brew latest-pkg $(WEB_BREW_DIST) $(RPM_NAME)-${1}
 	@echo "END: brew-report-${1} `date`"
 endef
 
